/// <reference path="../pb_data/types.d.ts" />
migrate((app) => {
  const collection = app.findCollectionByNameOrId("pbc_2541054544")

  // add field
  collection.fields.addAt(18, new Field({
    "hidden": false,
    "id": "number1705071305",
    "max": null,
    "min": null,
    "name": "home_seed",
    "onlyInt": false,
    "presentable": false,
    "required": false,
    "system": false,
    "type": "number"
  }))

  // add field
  collection.fields.addAt(19, new Field({
    "hidden": false,
    "id": "number3588777624",
    "max": null,
    "min": null,
    "name": "away_seed",
    "onlyInt": false,
    "presentable": false,
    "required": false,
    "system": false,
    "type": "number"
  }))

  return app.save(collection)
}, (app) => {
  const collection = app.findCollectionByNameOrId("pbc_2541054544")

  // remove field
  collection.fields.removeById("number1705071305")

  // remove field
  collection.fields.removeById("number3588777624")

  return app.save(collection)
})
